Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.pageeditor.ParagraphEditingUndoItem Class Reference
Inheritance diagram for com.foxit.sdk.addon.pageeditor.ParagraphEditingUndoItem:

## Public Member Functions
| ParagraphEditingUndoItem (ParagraphEditingUndoItem other)
| Constructor, with another undo item object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | redo () throws com.foxit.sdk.PDFException
| Redo this item. More...
void | undo () throws com.foxit.sdk.PDFException
| Undo this item. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Detailed Description

This class represents be used to when execute undo/redo operation.

## Constructor & Destructor Documentation

## ◆ ParagraphEditingUndoItem()

com.foxit.sdk.addon.pageeditor.ParagraphEditingUndoItem.ParagraphEditingUndoItem | ( | ParagraphEditingUndoItem | other | ) |

Constructor, with another undo item object.

Parameters

  [in] | other | Another undo item object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.pageeditor.ParagraphEditingUndoItem.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ isEmpty()

boolean com.foxit.sdk.addon.pageeditor.ParagraphEditingUndoItem.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ redo()

void com.foxit.sdk.addon.pageeditor.ParagraphEditingUndoItem.redo | ( |  | ) | throws com.foxit.sdk.PDFException

Redo this item.

Returns
  None.

## ◆ undo()

void com.foxit.sdk.addon.pageeditor.ParagraphEditingUndoItem.undo | ( |  | ) | throws com.foxit.sdk.PDFException

Undo this item.

Returns
  None.